User Tools

Site Tools


interfaces:very_old_gams_version_and_gdx_utilities

(Very) old GAMS version and GDX utilities

A very old version of GAMS (e.g. 20.0) will not include the GDX facilities or even the GAMSIDE. Neither can be added to an old GAMS version. Instead, you'll need to update your system.

If you don't want to update your GAMS system, the way to move data back and forth between GAMS and Excel is via comma delimited files. To write a comma delimited file from that corresponds to a GAMS parameter, use the Put statement.

To move data from Excel, export the range from Excel as a comma delimited file. You can then use that file as the body of a GAMS Table statement:

   $OnDelim
   Table x(i, j)
   $Include MyData.csv
   ; 
interfaces/very_old_gams_version_and_gdx_utilities.txt · Last modified: 2007/05/07 09:40 (external edit)